| Home | Libraries | People | FAQ | More

###### rows::rows (4 of 4 overloads)

Constructs a rows object from a `rows_view`.

###### Synopsis

    rows(
        const rows_view& r);

###### Exception safety

Strong guarantee. Internal allocations may throw.

###### Object lifetimes

`*this` lifetime will be independent of `r`'s (the contents of `r` will be copied into `*this`).

###### Complexity

Linear on `r.size() * r.num_columns()`.